# $Revision: 1.193 $, $Date: 2011/04/20 18:00:09 $
#
# Conditional build:
%bcond_without	doc		# disable documentation building
%bcond_with	policykit	# http://lists.pld-linux.org/mailman/pipermail/pld-devel-pl/2010-January/150972.html
%bcond_without	consolekit	# ConsoleKit support

Summary:	HAL - Hardware Abstraction Layer
Summary(pl.UTF-8):	HAL - abstrakcyjna warstwa dostępu do sprzętu
Name:		hal
Version:	0.5.14
Release:	12
License:	AFL v2.0 or GPL v2
Group:		Libraries
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	e9163df591a6f38f59fdbfe33e73bf20
Source1:	%{name}daemon.init
Source2:	%{name}d.sysconfig
Source3:	%{name}-storage-policy-fixed-drives.fdi
Source4:	%{name}daemon.upstart
Patch0:		%{name}-tools.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-link.patch
Patch3:		%{name}-rethink.patch
Patch4:		%{name}-showexec.patch
Patch5:		%{name}-x11-zap.patch
Patch6:		%{name}-out.patch
Patch7:		%{name}-fixes.patch
Patch8:		%{name}-kill-v4l1.patch
URL:		http://freedesktop.org/Software/hal
%{?with_consolekit:BuildRequires:	ConsoleKit-devel}
%{?with_policykit:BuildRequires:	PolicyKit-devel >= 0.7}
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.71
%if %{with doc}
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-utils
BuildRequires:	doxygen
%endif
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gperf
%if %{with doc}
BuildRequires:	gtk-doc >= 1.3
%endif
BuildRequires:	intltool >= 0.22
BuildRequires:	libblkid-devel >= 2.15
%ifarch %{ix86} %{x8664}
BuildRequires:	libsmbios-devel >= 0.13.4
%endif
BuildRequires:	libtool
BuildRequires:	libusb-compat-devel
# 1.7.1 or 1.8.0+
BuildRequires:	parted-devel >= 1.8.0
BuildRequires:	pciutils-devel >= 2.2.3
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	which
BuildRequires:	xmlto
# R: cryptsetup-luks >= 1.0.1 (at runtime)
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/bin/polkit-auth
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
%pyrequires_eq	python
Requires:	%{name}-libs = %{version}-%{release}
%if %{with policykit}
Requires:	PolicyKit >= 0.7
%else
%if %{with consolekit}
Requires:	ConsoleKit
%endif
%endif
Requires:	dbus >= 0.91
Requires:	dmidecode >= 2.7
Requires:	glib2 >= 1:2.14.0
Requires:	hal-info
Requires:	python-dbus >= 0.71
Requires:	udev-acl
Requires:	udev-core >= 1:125
# require pciutils and usbutils with .ids in expected location
Requires:	/etc/pci.ids
Requires:	/etc/usb.ids
Obsoletes:	hal-device-manager
Obsoletes:	hal-fstab-sync
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
HAL is an implementation of a hardware abstraction layer.

%description -l pl.UTF-8
HAL jest implementacją abstrakcyjnej warstwy dostępu do sprzętu.

%package libs
Summary:	HAL library
Summary(pl.UTF-8):	Biblioteka HAL
Group:		Libraries
Requires:	dbus-libs >= 0.91

%description libs
HAL library.

%description libs -l pl.UTF-8
Biblioteka HAL.

%package devel
Summary:	Header files for HAL library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki HAL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 0.91

%description devel
Header files for HAL library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki HAL.

%package static
Summary:	Static HAL library
Summary(pl.UTF-8):	Statyczna biblioteka HAL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static HAL library.

%description static -l pl.UTF-8
Statyczna biblioteka HAL.

%package apidocs
Summary:	HAL API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki HAL
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
HAL API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki HAL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1

%build
%{__rm} acinclude.m4
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	POLKIT_POLICY_FILE_VALIDATE=%{_bindir}/polkit-policy-file-validate \
	--%{?with_doc:en}%{!?with_doc:dis}able-docbook-docs \
	--%{?with_doc:en}%{!?with_doc:dis}able-gtk-doc \
	--disable-silent-rules \
	%{?with_policykit:--enable-acl-management} \
	--enable-acpi-ibm \
	--enable-acpi-toshiba \
	--%{!?with_consolekit:dis}%{?with_consolekit:en}able-console-kit \
	--enable-parted \
	--%{!?with_policykit:dis}%{?with_policykit:en}able-policy-kit \
	--enable-sonypic \
	--enable-umount-helper \
	--with-cpufreq \
	--with-html-dir=%{_gtkdocdir} \
	--with-hwdata=%{_sysconfdir} \
	--with-udev-prefix=/lib \
%ifarch %{ix86} %{x8664}
	--with-macbook \
	--with-macbookpro \
%endif
	--with-pid-file=%{_localstatedir}/run/hald.pid \
	--with-usb-csr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT{/etc/{sysconfig,rc.d/init.d,init},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_sysconfdir}/hal/fdi/{information,policy,preprobe} \
	$RPM_BUILD_ROOT/lib/udev/rules.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#find $RPM_BUILD_ROOT%{_datadir}/hal/device-manager -name "*.py" -exec rm -f {} \;

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/haldaemon
cp -p %{SOURCE4} $RPM_BUILD_ROOT/etc/init/haldaemon.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/hald

# policy file to ignore fixed disks.
cp -p %{SOURCE3} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}/fdi/policy/10osvendor/99-storage-policy-fixed-drives.fdi

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/hotplug.d
rm -rf $RPM_BUILD_ROOT%{_libdir}/hal.hotplug
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 126 -r -f haldaemon
%useradd -u 126 -r -d /usr/share/empty -s /bin/false -c "HAL daemon" -g haldaemon haldaemon
%{?with_policykit:/usr/bin/polkit-auth --user haldaemon --grant org.freedesktop.policykit.read 2> /dev/null || :}

%post
/sbin/chkconfig --add haldaemon
%service haldaemon restart

%preun
if [ "$1" = "0" ]; then
	%service -q haldaemon stop
	/sbin/chkconfig --del haldaemon
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig


%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README doc/TODO
%attr(755,root,root) %{_bindir}/hal-device
%attr(755,root,root) %{_bindir}/hal-disable-polling
%attr(755,root,root) %{_bindir}/hal-find-by-capability
%attr(755,root,root) %{_bindir}/hal-find-by-property
%attr(755,root,root) %{_bindir}/hal-get-property
%attr(755,root,root) %{_bindir}/hal-is-caller-locked-out
%{?with_policykit:%attr(755,root,root) %{_bindir}/hal-is-caller-privileged}
%attr(755,root,root) %{_bindir}/hal-lock
%attr(755,root,root) %{_bindir}/hal-set-property
%attr(755,root,root) %{_bindir}/hal-setup-keymap
%attr(755,root,root) %{_bindir}/lshal
%attr(755,root,root) %{_sbindir}/hald
%attr(755,root,root) /sbin/umount.hal
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/hald-*
%attr(755,root,root) %{_libexecdir}/hal-*
%dir %{_libdir}/hal
%dir %{_libdir}/hal/scripts
%attr(755,root,root) %{_libdir}/hal/scripts/*

%dir %{_sysconfdir}/%{name}
%{_sysconfdir}/%{name}/fdi

%attr(754,root,root) /etc/rc.d/init.d/haldaemon
%config(noreplace) %verify(not md5 mtime size) /etc/init/haldaemon.conf
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/hald
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/dbus*/system.d/hal.conf
/lib/udev/rules.d/90-hal.rules
%{?with_policykit:%config(noreplace) %verify(not md5 mtime size) %{_datadir}/PolicyKit/policy/*.policy}

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/fdi

%dir /var/cache/hald
%dir /var/run/hald
%dir /var/run/hald/hald-local
%dir /var/run/hald/hald-runner

%{_mandir}/man[18]/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhal.so.1
%attr(755,root,root) %{_libdir}/libhal-storage.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhal-storage.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhal.so
%attr(755,root,root) %{_libdir}/libhal-storage.so
%{_libdir}/libhal.la
%{_libdir}/libhal-storage.la
%{_includedir}/%{name}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libhal.a
%{_libdir}/libhal-storage.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libhal
%{_gtkdocdir}/libhal-storage

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hal.spec,v $
Revision 1.193  2011/04/20 18:00:09  qboosh
- updated link patch to remove libsmbios from libhal and libhal-storage linking
- added kill-v4l1 patch to kill Video4Linux 1 API usage (and thus allow build with recent headers)
- release 12

Revision 1.192  2011/03/29 05:50:54  glen
- release 11

Revision 1.191  2011/03/12 20:39:04  arekm
- release 10

Revision 1.190  2011/02/27 07:55:31  arekm
- release 9

Revision 1.189  2011/02/01 21:39:35  glen
- udev rules to /lib
- upstart files, cleanups

Revision 1.188  2010/09/04 08:47:49  qboosh
- disable silent-rules

Revision 1.187  2010/05/13 10:52:06  arekm
- rel 7; revert for now

Revision 1.186  2010/05/13 10:46:11  arekm
- rel 6; drop consolekit too

Revision 1.185  2010/01/20 11:57:40  arekm
- builds now, disable policykit for testing

Revision 1.184  2010/01/20 08:50:37  arekm
- bcond, untested

Revision 1.183  2009/12/30 14:24:05  cactus
- add gtkdocize (thx megabajt)

Revision 1.182  2009/12/29 23:10:16  cactus
- clean up docs build

Revision 1.181  2009/12/29 22:32:37  cactus
- drop sed and use upstream fixes
- rel 4

Revision 1.180  2009/12/29 22:30:01  cactus
- BR: gtk-doc only when build with doc

Revision 1.179  2009/12/13 21:33:58  glen
- R: udev-acl; rel 3

Revision 1.178  2009/12/11 10:38:32  sparky
- quick fix for conflicting libusb variables in configure.in

Revision 1.177  2009/12/11 10:05:50  sparky
- BR: ConsoleKit-devel

Revision 1.176  2009/12/11 07:47:57  arekm
- rel 2; fix hald-probe-input segfaults

Revision 1.175  2009/12/01 09:20:23  patrys
- 0.5.14

Revision 1.174  2009/10/26 14:31:33  baggins
- rel 3
- allow "showexec" mount option for vfat filesystems
- shove Ctrl-Alt-Backspace down xorg's throat

Revision 1.173  2009/08/28 22:43:35  arekm
- release 2

Revision 1.172  2009/07/25 21:38:58  arekm
- up to 0.5.13

Revision 1.171  2009/05/24 14:31:24  patrys
- fix segfault during mount regression
- rel 2

Revision 1.170  2009/05/20 22:20:40  patrys
- 0.5.12

Revision 1.169  2009/05/03 22:50:50  hawk
- release 10

Revision 1.168  2009/03/24 17:15:29  vip
- apply patch, which enables mounting with ntfs-3g

Revision 1.167  2009/02/10 21:19:00  hawk
- release 9

Revision 1.166  2009/02/04 13:11:04  hawk
- BR libusb-compat to make it work with libusb 1.0.0

Revision 1.165  2009/01/30 23:41:00  megabajt
- added -dbus-conf.patch (changes required to work with dbus >= 1.2.8)
- release 7

Revision 1.164  2009/01/27 21:37:09  hawk
- release 6

Revision 1.163  2008/10/26 16:28:45  patrys
- add udev.patch
- make it work again (udevinfo was deprecated)
- rel 5

Revision 1.162  2008/10/26 15:12:55  mmazur
- reverted last change, back to rel 4

Revision 1.161  2008/10/26 11:54:29  mmazur
- rel 5; stbr anyone
- prevent hal from blocking /proc/acpi/event; only acpid should be allowed
  to do that; more: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=352512

Revision 1.160  2008/10/25 20:58:55  arekm
- release 4

Revision 1.159  2008/10/06 23:11:42  qwiat
- rel 3

Revision 1.158  2008/08/20 18:33:15  megabajt
- added -ck-api-change.patch
- release 2

Revision 1.157  2008/06/18 05:27:02  qboosh
- updated parted comment

Revision 1.156  2008/06/18 05:26:33  qboosh
- added ac patch
- glib2 deps bumped to 2.14.0 (some features are used if such version is detected)

Revision 1.155  2008/05/08 19:16:11  patrys
- 0.5.11

Revision 1.154  2008-04-30 18:27:28  patrys
- 0.5.11rc2
- still rc2 but fixes a major crasher: https://bugzilla.novell.com/show_bug.cgi?id=334106
- also used by openSUSE
- patch1 & patch3 fixed upstream

Revision 1.153  2008-04-27 00:59:16  glen
- rel 9

Revision 1.152  2008-02-03 13:39:43  arekm
- rel 8; s/R:udev/R:udev-core/

Revision 1.151  2008-01-15 23:19:59  patrys
- bear with sh syntax

Revision 1.150  2008-01-15 18:03:48  patrys
- grant proper PolKit rights

Revision 1.149  2008-01-10 18:33:20  patrys
- include upstream fix for addons dying

Revision 1.148  2007-11-09 12:21:45  arekm
- rel 4; keep libexecdir binaries one level deeper in own subdirectory

Revision 1.147  2007-11-09 09:41:00  arekm
- rel 3; R: hal-info so hal knows about devices

Revision 1.146  2007-11-07 14:01:04  arvenil
- BR: xmlto
- adapter
- release 2

Revision 1.145  2007/10/31 20:30:18  qboosh
- added link patch to reduce libs linking
- BR: libsmbios-devel (x86* only) to for Dell backlight support
- dropped obsolete deps and configure options
- consistent udev/libvolume_id deps

Revision 1.144  2007/10/30 23:33:05  qboosh
- workaround not to BR PolicyKit tools (used only for make check)

Revision 1.143  2007/10/13 22:37:08  megabajt
- updated to 0.5.10; merged from DEVEL
- updated tools patch
- added O: hal-device-manager

Revision 1.142  2007/08/26 22:15:50  arekm
- rel 4

Revision 1.141  2007/08/26 21:36:49  arekm
- rel 3

Revision 1.140.2.2  2007/09/08 16:20:08  patrys
- 0.5.10 rc2

Revision 1.140.2.1  2007/08/05 09:32:50  deejay1
- updated to todays snap from git

Revision 1.140  2007/07/19 20:58:44  arekm
- rel 2; macbooks x8684/x86 only

Revision 1.139  2007/06/30 20:38:59  arekm
- up to 0.5.9.1; enable more things

Revision 1.138  2007/06/24 11:50:47  arekm
- rel 4; rebuild with new policykit

Revision 1.137  2007/06/13 12:14:16  arekm
- rel 3; rebuild

Revision 1.136  2007/05/26 15:39:31  qboosh
- moved gphoto files to hal-gphoto.spec
- release 2

Revision 1.135  2007/05/24 17:41:36  qboosh
- added parted patch to kill -luuid from libhal linking and allow parted 1.8.7
- removed duplicate of gphoto rules from base package

Revision 1.134  2007/05/24 17:29:13  qboosh
- hal-samsung_yp_z5 patch belongs to hal-info now (but needs update)

Revision 1.133  2007/04/17 06:29:44  glen
- use %service -q for external program in -gphoto

Revision 1.132  2007/04/04 09:49:18  qboosh
- added parted version to BR
- don't assume man gzipping

Revision 1.131  2007/04/03 18:01:04  wolf
- it's too early for ConsoleKit

Revision 1.130  2007/04/03 16:56:25  wolf
- 0.5.9

Revision 1.129  2007/03/04 20:55:27  rotom
- BR rpm-pythonprov added

Revision 1.128  2007/03/04 19:51:31  aflinta
- added some patches, relase 5

Revision 1.127  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.126  2007/02/12 00:48:54  baggins
- converted to UTF-8

Revision 1.125  2006/12/09 13:32:09  qboosh
- require PolicyKit 0.2 as specified in configure
- hal service R: PolicyKit service (base packages)

Revision 1.124  2006/12/06 09:34:19  arekm
- rel 4; add freeing bugfix

Revision 1.123  2006/12/03 22:36:08  arekm
- rel 3; use policykit; fix libpci detection

Revision 1.122  2006/12/03 22:01:51  arekm
- rel 2

Revision 1.121  2006/11/01 10:52:19  qboosh
- unified: separated -apidocs

Revision 1.120  2006/11/01 00:24:58  qboosh
- added libpci patch (latests libpci needs -lz)
- package gtk-doc docs

Revision 1.119  2006/11/01 00:04:48  qboosh
- updated deps

Revision 1.118  2006/10/31 22:21:58  qboosh
- added ac patch (needed for ac 2.60)

Revision 1.117  2006/10/31 19:40:46  arekm
- up to 0.5.8.1

Revision 1.116  2006/09/24 19:40:46  aredridel
- add 80211 patch

Revision 1.115  2006/08/27 13:40:18  havner
- rebuild with 2.5
- rel 5

Revision 1.114  2006/08/13 15:44:39  freetz
- added number to udev rule, rel.4

Revision 1.113  2006/08/08 18:25:20  freetz
- rel.3 for rebuild with new dbus, added dbus patch

Revision 1.112  2006/07/27 19:01:37  freetz
- support for new suspend2 sysfs interface, rel.2

Revision 1.111  2006/07/26 19:21:25  freetz
- 0.5.7.1, added support for samsung yp-z5

Revision 1.110  2006/06/07 13:27:28  freetz
- rel.4

Revision 1.109  2006/06/06 14:01:17  qboosh
- merged is_mounted_read_only_property patch from AC-branch

Revision 1.108  2006/04/01 14:02:39  freetz
- post merge cleanup

Revision 1.107  2006/04/01 13:55:33  freetz
- merged from DEVEL

Revision 1.105.2.14  2006/03/13 13:48:12  freetz
- added tools patch, rel.1

Revision 1.105.2.13  2006/02/26 22:27:42  freetz
- removed invalid typo patch

Revision 1.105.2.12  2006/02/26 17:39:21  freetz
- fix a typo in storage policy (patch added)

Revision 1.105.2.11  2006/02/24 13:21:07  freetz
- started work on 0.5.7, removed obsoleted patches/sources, dropped
  fstab-sync (removed upstream)

Revision 1.105.2.10  2006/02/23 17:34:17  freetz
- fixed breakage introduces in my last commit, dropped storage-methods
  rel.6

Revision 1.105.2.9  2006/02/19 21:12:51  freetz
- rel.6, require fixed dbus, unify udev requirement

Revision 1.105.2.8  2006/02/19 15:19:31  freetz
- added fixed drives storage policy file

Revision 1.105.2.7  2006/02/18 22:21:53  freetz
- provide virtual storage-methods package, small cleanup

Revision 1.105.2.6  2006/02/18 18:15:36  freetz
- fixed https://bugs.freedesktop.org/show_bug.cgi?id=5655 rel.5

Revision 1.105.2.5  2006/02/13 14:05:01  freetz
- added eject_audiocd.patch, rel.3

Revision 1.105.2.4  2006/02/02 22:35:39  freetz
- place scripts in sbindir

Revision 1.105.2.3  2006/02/02 17:24:24  freetz
- rel.2 (fixed init scripts)

Revision 1.105.2.2  2006/01/18 20:57:33  freetz
- install scripts in FHS compatibile location, drop hal.hotplug, disable
  fstab-sync

Revision 1.105.2.1  2006/01/17 21:34:52  patrys
- up to 0.5.6
- NFY - fstab-sync tries to access /etc
Revision 1.106  2006/02/05 11:45:29  freetz
- fixed hal udev rule on amd64, rel.4

Revision 1.105  2006/01/12 22:05:18  freetz
- rel.3

Revision 1.104  2006/01/11 00:07:39  freetz
- saving work: restart haldaemon to refresh configuration after new fdi is
  added, banner added

Revision 1.103  2006/01/10 23:33:36  freetz
- as suggested by udev maintainer digital cameras should be handled here
  added hal-gphoto subpkg, work in progress

Revision 1.102  2006/01/07 01:52:00  freetz
- rel.2 for fixed pld-policy patch

Revision 1.101  2005/11/27 15:28:31  freetz
- removed duplicated files

Revision 1.100  2005/11/15 13:34:58  freetz
- 0.5.5.1

Revision 1.99  2005/11/14 20:03:17  freetz
- next pretty cool release: 0.5.5, require udev-071

Revision 1.98  2005/11/08 13:55:46  freetz
- rel.8 (fixed hal.rules - stop spamming logs when DEVNAME or SEQNUM is not
  set)

Revision 1.97  2005/10/28 15:18:05  ankry
- Slovenian locale fix, rel. 7

Revision 1.96  2005/10/20 20:59:47  freetz
- rel.6

Revision 1.95  2005/10/19 16:58:00  freetz
- udev epoch in R:

Revision 1.94  2005/10/19 10:42:55  freetz
- dropped hotplug requirement, rel.5.2

Revision 1.93  2005/10/18 20:15:24  freetz
- dropped hotplug.d support, use udev rule instead, rel. 5.1

Revision 1.92  2005/10/13 18:34:38  freetz
- added powersave support, rel.5

Revision 1.91  2005/09/18 18:09:54  arekm
- rel 4

Revision 1.90  2005/09/17 19:26:16  freetz
- more BRs

Revision 1.89  2005/09/17 19:22:04  freetz
- disabled verbose mode (works pretty well, not needed anymore)

Revision 1.88  2005/09/17 16:05:47  freetz
- rel.3, for rebuild with polished pld policy patch

Revision 1.87  2005/09/13 15:44:49  freetz
- rel.2 for rebuild with updated pld policy, TODO added

Revision 1.86  2005/09/04 13:34:56  freetz
- typo

Revision 1.85  2005/09/04 13:31:04  freetz
- back to less PITA fstab-sync solution, forced working udev version
  (068-1), rel.1 (yes it works now)

Revision 1.84  2005/09/03 20:27:23  tommat
- added BR: gettext-devel

Revision 1.83  2005/08/27 21:30:56  paladine
- merged from DEVEL and updated to final 0.5.4
- changed and uncommented pld_policy patch
- sorted %%configure options
- dropped fstab-sync support again (back to pmount)

Revision 1.82  2005/08/24 11:02:29  paladine
- changed pid file
- commentedout pld_policy patch

Revision 1.81  2005/08/23 14:58:25  paladine
- added missing commit log

Revision 1.80  2005/08/23 14:35:15  paladine
- back to fstab-sync
- enable verbose-mode

Revision 1.79  2005/08/07 19:52:44  freetz
- changelog typo

Revision 1.78  2005/08/07 19:46:24  freetz
- policy patch added, rel.3

Revision 1.77  2005/08/07 18:53:00  freetz
- rel.2 for fixed init script

Revision 1.76  2005/08/04 17:23:30  freetz
- dropped fstab-sync support (we got pmount now), fixed %%files, added
  missing hal.hotplug symlink (yeah, it works now like a charm), cleanup,
  dropped mount-options patch (not needed anymore), rel.1

Revision 1.75.2.4  2005/08/27 08:07:45  aredridel
- prevent docs building with --without docs

Revision 1.75.2.3  2005/08/03 17:29:36  wiget
- don't duplicate %{_datadir}/%{name}/device-manger

Revision 1.75.2.2  2005/08/03 10:26:38  freetz
- cosmetics

Revision 1.75.2.1  2005/08/02 22:08:47  freetz
- for brave ones: 0.5.4 20050801 snap, fstab-sync bconded (we don't need it
  anymore - obsoleted by pmount), more pldize macros

Revision 1.75  2005/08/02 15:54:12  saq
- reqs from NEWS

Revision 1.74  2005/08/02 11:50:08  glen
- %service req rpmmacros 1.228

Revision 1.73  2005/08/01 17:47:27  freetz
- cleaned up outdated configure parameters, use new service macros,
  fstab-sync broken (dbus communication problem?), NOT ready for new udev
  madness

Revision 1.72  2005/07/16 18:31:54  freetz
- unpackaged files added

Revision 1.71  2005/07/13 18:23:47  wrobell
- ver. 0.5.3

Revision 1.70  2005/07/03 20:35:43  speedy
- hal-device-manager Req: python-gnome-vfs

Revision 1.69  2005/07/02 20:54:30  freetz
- post release fixups

Revision 1.68  2005/05/21 20:21:27  qboosh
- missing dir

Revision 1.67  2005/05/21 20:14:05  wrobell
- hal scans in /etc/hal/fdi, let's make it happy (and admins too)

Revision 1.66  2005/05/19 17:49:26  wrobell
- rel. 0.2

Revision 1.65  2005/05/19 15:03:39  pluto
- merged from devel (updated to 0.5.2).
- BR(libusb-devel) added.
- release 0.1.

Revision 1.64  2005/05/18 09:50:28  freetz
- disabled verbose mode (not really needed for stable branch)

Revision 1.63  2005/05/18 00:00:04  wrobell
- ver. 0.4.8

Revision 1.62  2005/05/11 00:56:00  pluto
- release 5 for Th.

Revision 1.61  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.60  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.59  2005/04/07 18:50:59  paszczus
- tab

Revision 1.58  2005/04/07 18:49:52  paszczus
- adaptarized

Revision 1.57  2005/04/07 18:43:17  freetz
- rel.4, new rpm macros, sysfs-carrier enabled (kernel >= 2.6.10!), removed
  obsolete readme

Revision 1.56  2005/03/24 22:59:53  wrobell
- relaxing dbus dependencies (0.5.0 requires dbus 0.31, 0.4.7 does not compile
  with dbus 0.31)

Revision 1.55  2005/03/24 22:32:19  wrobell
- rel. 3 to build with dbus 0.31

Revision 1.54  2005/03/24 22:25:08  wrobell
- back to version 0.4.7 (0.5.0 on DEVEL branch, now)

Revision 1.53  2005/03/24 21:23:19  wrobell
- ver. 0.5.0

Revision 1.52  2005/03/07 22:24:00  qboosh
- added link patch, dropped unneeded popt dep in -devel
- unified subpackages order in spec (libs before devel)
- release 2

Revision 1.51  2005/03/05 20:16:52  arekm
- devel subpackage needs R: popt-devel

Revision 1.50  2005/01/25 14:04:01  krzak
- up to 0.4.7

Revision 1.49  2005/01/24 10:18:34  krzak
- up to 0.4.6

Revision 1.48  2005/01/17 08:23:17  krzak
- up to 0.4.5

Revision 1.47  2005/01/07 09:07:33  krzak
- up to 0.4.4

Revision 1.46  2005/01/04 10:01:19  krzak
- up to 0.4.3

Revision 1.45  2004/12/25 17:40:50  qboosh
- unified

Revision 1.44  2004/12/24 21:47:49  arekm
- rel 3

Revision 1.43  2004/12/10 16:43:10  krzak
- rel 2
- mount-options.patch : disable pamconsole,managed options in fstab because
  our mount will not use line with unknown options, and add "users" option

Revision 1.42  2004/12/02 19:38:57  freetz
- 0.4.2, 2.6.10 kernel ready, enabled pcmcia support by default, ready for
  STBR

Revision 1.41  2004/12/02 17:33:53  qboosh
- updated Source0 URL (but only 0.4.2 there)

Revision 1.40  2004/11/27 01:34:28  zbyniu
- BR: intltool, pkgconfig, python-modules, which

Revision 1.39  2004/11/27 00:30:02  freetz
- finally fixed H-D-M breakage (patch added)
- separated package for H-D-M (and GNOME deps ;)
- rel. 2, STBR

Revision 1.38  2004/11/14 21:31:42  havner
- rel up for rebuild

Revision 1.37  2004/11/08 19:09:05  jpc
- BR: popt-devel
- pyrequieres_eq must be in ALL packages with py[co] files or they will
  fail with a not obvious error message

Revision 1.36  2004/11/03 18:25:21  freetz
- small readme added

Revision 1.35  2004/11/03 18:13:04  freetz
- custom verbosity level, checking for messagebus implemented, rel. 0.2

Revision 1.34  2004/11/02 15:16:10  freetz
- 0.4.1, all patches already included, rel. 0.1

Revision 1.33  2004/11/02 14:21:03  freetz
- TODO enhanced

Revision 1.32  2004/11/02 14:07:41  freetz
- looks like our hald don't use udev at all! switched on more verbose mode

Revision 1.31  2004/10/31 17:33:30  freetz
- TODO updated

Revision 1.30  2004/10/31 17:30:56  freetz
- more fedora fixes, rel. 1.9

Revision 1.29  2004/10/18 17:22:11  havner
- rel 1

Revision 1.28  2004/10/18 13:31:27  freetz
- more fedora fixes, rel 0.2

Revision 1.27  2004/10/17 13:40:13  qboosh
- package fstab-sync(8) manual

Revision 1.26  2004/10/17 00:16:50  freetz
- TODO added

Revision 1.25  2004/10/17 00:12:38  freetz
- 0.4.0, %files update (incomplete)

Revision 1.24  2004/10/06 20:09:28  grzegol
- there is no need to restart messagebus daemon after hal
- run /sbin/ldconfig in %post/%postun of -libs subpackage
- rel. 7

Revision 1.23  2004/10/06 15:01:51  qboosh
- -devel R: -libs not base; release 6

Revision 1.22  2004/10/03 12:40:08  grzegol
- -devel R: dbus-devel
- rel. 5

Revision 1.21  2004/09/27 21:39:52  grzegol
- cosmetics

Revision 1.20  2004/09/27 21:04:28  aflinta
- fixed some BR: and R:, release 4

Revision 1.19  2004/09/27 19:43:59  aflinta
- splited libhal into separate subpackage hal-libs, release 3

Revision 1.18  2004/09/26 15:01:40  havner
- rel 2

Revision 1.17  2004/09/25 18:51:13  patrys
- R: python-pygtk-glade (failed to initialize glade without this one)

Revision 1.16  2004/09/22 20:07:16  aflinta
- up to verison 0.2.98

Revision 1.15  2004/09/22 16:48:22  aflinta
- added BR: libcap-devel

Revision 1.14  2004/09/22 15:58:26  grzegol
- don't pass --enable-mnt-noop to %configure
- rel. .2

Revision 1.13  2004/09/18 20:25:33  grzegol
- updated to 0.2.97-20040918 snap - gnome-volume-manager works at last
- removed fstab-update.sh (Source2) - it's already in tarball
- added --enable-fstab-sync --enable-mnt-noop --enable-selinux and
  --enable-hotplug-map to %configure

Revision 1.12  2004/08/28 23:14:40  grzegol
- updated to 0.2.97
- removed outdated docs_build patch

Revision 1.11  2004/07/27 22:38:09  grzegol
- updated to 0.2.95
- added fstab-update.sh script (for now only in %doc - you can copy it by
  hand to /etc/hal/device.d/ if you want)
- added hal-device-manager.desktop
- added docs_build patch (fix documentation building)

Revision 1.10  2004/07/22 19:31:27  grzegol
- added missing %{_sysconfdir}/%{name}/{capability.d,device.d,property.d} dirs
- added missing %{_sysconfdir}/dev.d/default/hal.dev symlink
- rel. 2

Revision 1.9  2004/07/18 22:38:21  grzegol
- updated to 0.2.94

Revision 1.8  2004/06/09 16:19:30  grzegol
- updated to 0.2.92

Revision 1.7  2004/06/01 20:04:53  grzegol
- updated to 0.2.91

Revision 1.6  2004/05/03 12:12:31  grzegol
- updated to 0.2.90
- removed outdated no_static patch

Revision 1.5  2004/04/09 15:46:24  grzegol
- updated to 0.2.6. There is only src.rpm on http://freedesktop.org/~david/dist

Revision 1.4  2004/03/22 07:02:39  ankry
- capitals are no-op in pl

Revision 1.3  2004/03/21 22:25:10  grzegol
- updated to 0.2.5
- added init script and haldaemon user/group
- strict internal deps

Revision 1.2  2004/01/31 21:06:10  grzegol
- 755 for %{_datadir}/hal/devicemanager/hal-device-manager
- removed *.py files (there are *.pyo and *.pyc files)
- R: python-dbus, python-gnome-ui
- rel. 2

Revision 1.1  2004/01/31 19:17:15  grzegol
- new
